com.holonplatform.core.internal

## Enum Logger.Level

- java.lang.Object
- - java.lang.Enum<Logger.Level>
  - - com.holonplatform.core.internal.Logger.Level

- All Implemented Interfaces:
    Serializable, Comparable<Logger.Level>
  Enclosing interface:
    Logger

      public static enum Logger.Level
      extends Enum<Logger.Level>

  Log levels

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG` Debug
    `ERROR` Error
    `INFORMATION` Information
    `WARNING` Warning

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Logger.Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Logger.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFORMATION

          public static final Logger.Level INFORMATION

      Information

    - #### WARNING

          public static final Logger.Level WARNING

      Warning

    - #### ERROR

          public static final Logger.Level ERROR

      Error

    - #### DEBUG

          public static final Logger.Level DEBUG

      Debug

  - ### Method Detail

    - #### values

          public static Logger.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Logger.Level c : Logger.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Logger.Level valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.